Bug 2233961 - CVE-2022-48064 gdb: binutils: excessive memory consumption in _bfd_dwarf2_find_nearest_line_with_alt() in dwarf2.c [fedora-all]
Summary: CVE-2022-48064 gdb: binutils: excessive memory consumption in _bfd_dwarf2_fin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 38
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Alexandra Petlanová Hájková
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-48064
TreeView+ depends on / blocked
 
Reported: 2023-08-23 19:56 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-11-03 18:37 UTC (History)
8 users (show)

Fixed In Version: gdb-13.2-9.fc40 gdb-13.2-5.fc38 gdb-13.2-3.fc37 gdb-13.2-10.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-29 01:27:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-08-23 19:56:00 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2233958

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Guilherme de Almeida Suckevicz 2023-08-23 19:56:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2233958,2233961

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Kevin Buettner 2023-08-24 01:32:50 UTC
This CVE could affect GDB 13.2 in Fedora 37, 38, 39, and rawhide. It needs to be fixed by doing a backport of this upstream fix: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=8f2c64de86bc3d7556121fe296dd679000283931

Comment 3 Fedora Update System 2023-09-26 10:28:50 UTC
FEDORA-2023-d94be55511 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d94be55511

Comment 4 Fedora Update System 2023-09-26 10:37:14 UTC
FEDORA-2023-aab127ee36 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-aab127ee36

Comment 5 Fedora Update System 2023-09-27 01:25:35 UTC
FEDORA-2023-aab127ee36 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-aab127ee36`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-aab127ee36

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-09-27 01:35:40 UTC
FEDORA-2023-d94be55511 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d94be55511`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d94be55511

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-09-27 07:47:43 UTC
FEDORA-2023-8d0913f986 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8d0913f986

Comment 8 Fedora Update System 2023-09-28 01:31:36 UTC
FEDORA-2023-8d0913f986 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8d0913f986`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8d0913f986

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-29 01:27:48 UTC
FEDORA-2023-d94be55511 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-13 01:32:09 UTC
FEDORA-2023-8d0913f986 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-11-03 18:37:17 UTC
FEDORA-2023-89ade611ee has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.